import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { BrowserRouter, Link, Route, Routes } from "react-router-dom";
import Main from "./panel.components/Main";
import Sidebar from "./panel.components/Sidebar";
import SidebarOption from "./panel.components/SidebarOption";
import usePanel from "./hooks/usePanel";
import Panel from "./pages/Panel";
import { faContactBook, faHome, faRightFromBracket, faUser, } from "@fortawesome/free-solid-svg-icons";
import Home from "./pages/Home";
import HeaderOption from "./panel.components/HeaderOption";
import Header from "./panel.components/Header";
import Other from "./pages/Other";
export default function App() {
    const { isOpen, isMobile, togle, handleClickOption } = usePanel();
    return (_jsx(Panel, { sidebarIsOpen: isOpen, isMobile: isMobile, children: _jsxs(BrowserRouter, { children: [_jsxs(Header, { title: "Ideasoft Panel", username: "Harold Anderson Hern\u00E1ndez Zambrano", src: "https://avatars.githubusercontent.com/u/77129645?v=4", isOpen: isOpen, togleOpen: togle, children: [_jsx(HeaderOption, { Tag: Link, to: "/profile", text: "Perfil", icon: faUser }), _jsx(HeaderOption, { Tag: Link, to: "/logout", text: "Cerrar Sesi\u00F3n", icon: faRightFromBracket, logout: true })] }), _jsxs(Sidebar, { isOpen: isOpen, src: "https://avatars.githubusercontent.com/u/77129645?v=4", children: [_jsx(SidebarOption, { Tag: Link, path: "/", name: "Home", icon: faHome, isOpen: isOpen, onClick: handleClickOption }), _jsx(SidebarOption, { Tag: Link, path: "/other", name: "Other", icon: faContactBook, isOpen: isOpen, onClick: handleClickOption })] }), _jsx(Main, { children: _jsxs(Routes, { children: [_jsx(Route, { path: "/", element: _jsx(Home, {}) }), _jsx(Route, { path: "/other", element: _jsx(Other, {}) })] }) })] }) }));
}
